Loading...
Searching...
No Matches
shlibpp Namespace Reference

## Classes

class | SharedLibrary
| Low-level wrapper for loading shared libraries (DLLs) and accessing symbols within it. More...
class | SharedLibraryClass
| Container for an object created using a factory provided by a shared library. More...
struct | SharedLibraryClassApi
| Collection of hooks for creating/destroying a plugin. More...
class | SharedLibraryClassFactory
| A type-safe wrapper for SharedLibraryFactory, committing to creation/destruction of instances of a particular super-class. More...
class | SharedLibraryFactory
| A wrapper for a named factory method in a named shared library. More...
class | Vocab

## Functions

constexpr int32_t | VOCAB (char a, char b=0, char c=0, char d=0)

## Function Documentation

## VOCAB()

constexpr int32_t shlibpp::VOCAB | ( | char | a,
|  | char | b = `0`,
|  | char | c = `0`,
|  | char | d = `0`
| ) |  |

constexpr

Definition at line 31 of file Vocab.h.